Skip to content

List all Active Directory accounts

Request

Early Access
OPA roles:
  • security_admin

Lists all Active Directory accounts

Security
bearerAuth
Path
team_namestringrequired

The name of your team

Query
containsstring

Filter results to include only those that contain the specified value

ad_account_typestring

The type of Active Directory account

Enum:"SHARED""INDIVIDUAL"
ad_connection_idArray of strings

The UUIDs of Active Directory connections

countinteger, (int32)

The number of objects per page

descendingboolean

If true, results are listed in descending order. By default, results are listed in ascending order.

offsetstring

The offset value for pagination. The rel="next" and rel="prev" Link headers define the offset for subsequent or previous pages.

prevboolean

The direction of paging

curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/all_active_directory_accounts?contains=string&ad_account_type=SHARED&ad_connection_id=a747a818-a4c4-4446-8a87-704216495a08&count=0&descending=true&offset=string&prev=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
listArray of objects(ActiveDirectoryAccount)
Response
{ "list": [ { … } ] }